Subject: OpenBSD Netatalk and Mac OS X

From: Chris Tebb <[email-masked]>
Date: Mon, 07 Jan 2002 16:29:08 +0000

Hi all,
        I have been a Netetalk user under Linux for a while now, and
remember some problems with mac os X and the server not correctly listing
the contents of a directory to clients.
This time, under openbsd3, running mac OS X 10.2.2, it lists some files, not
others, and will not let me write to a drive I have permission to wrote to
(Error code -37)

All the permissions are set to rwxrwxrwx on all files and folders, including
the root folder it is sharing from.
My config files are:-

 cat /etc/netatalk/atalkd.conf
xl0 -phase 2 -net 1-65534 -addr 65280.48
bash-2.05a$ 

cat /etc/netatalk/AppleVolumes.default
# This file looks empty when viewed with "vi".  In fact, there is one
# '~', so users with no AppleVolumes file in their home directory get
# their home directory by default.
~
/home/share "Share"

Does anyone know what I'm doing wrong? Are there some special options for
mac Os X?

Thanks,
        chris.

Chrispyfur.net - :)